package com.mvc.entity;

import java.math.BigDecimal;
import java.util.Date;

public class TSetup {
    private Integer id;

    private String setupId;

    private String stationCode;

    private String stationName;

    private String deviceSn;

    private Date setupTime;

    private String setupMan;

    private Integer floorRsrp;

    private String stationContact;

    private String stationAddress;

    private BigDecimal stationLon;

    private BigDecimal stationLat;

    private String finishedFlag;

    private Date finishedTime;

    private String finishedMan;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSetupId() {
        return setupId;
    }

    public void setSetupId(String setupId) {
        this.setupId = setupId == null ? null : setupId.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public Date getSetupTime() {
        return setupTime;
    }

    public void setSetupTime(Date setupTime) {
        this.setupTime = setupTime;
    }

    public String getSetupMan() {
        return setupMan;
    }

    public void setSetupMan(String setupMan) {
        this.setupMan = setupMan == null ? null : setupMan.trim();
    }

    public Integer getFloorRsrp() {
        return floorRsrp;
    }

    public void setFloorRsrp(Integer floorRsrp) {
        this.floorRsrp = floorRsrp;
    }

    public String getStationContact() {
        return stationContact;
    }

    public void setStationContact(String stationContact) {
        this.stationContact = stationContact == null ? null : stationContact.trim();
    }

    public String getStationAddress() {
        return stationAddress;
    }

    public void setStationAddress(String stationAddress) {
        this.stationAddress = stationAddress == null ? null : stationAddress.trim();
    }

    public BigDecimal getStationLon() {
        return stationLon;
    }

    public void setStationLon(BigDecimal stationLon) {
        this.stationLon = stationLon;
    }

    public BigDecimal getStationLat() {
        return stationLat;
    }

    public void setStationLat(BigDecimal stationLat) {
        this.stationLat = stationLat;
    }

    public String getFinishedFlag() {
        return finishedFlag;
    }

    public void setFinishedFlag(String finishedFlag) {
        this.finishedFlag = finishedFlag == null ? null : finishedFlag.trim();
    }

    public Date getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(Date finishedTime) {
        this.finishedTime = finishedTime;
    }

    public String getFinishedMan() {
        return finishedMan;
    }

    public void setFinishedMan(String finishedMan) {
        this.finishedMan = finishedMan == null ? null : finishedMan.trim();
    }
}